package com.phm.manage.mapper;

import com.phm.manage.domain.FeedbackRawData;

import java.util.List;

/**
 * 反馈的源数据Mapper接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface FeedbackRawDataMapper {
    /**
     * 查询反馈的源数据
     *
     * @param id 反馈的源数据主键
     * @return 反馈的源数据
     */
    public FeedbackRawData selectFeedbackRawDataById(Long id);

    /**
     * 查询反馈的源数据列表
     *
     * @param feedbackRawData 反馈的源数据
     * @return 反馈的源数据集合
     */
    public List<FeedbackRawData> selectFeedbackRawDataList(FeedbackRawData feedbackRawData);

    /**
     * 新增反馈的源数据
     *
     * @param feedbackRawData 反馈的源数据
     * @return 结果
     */
    public int insertFeedbackRawData(FeedbackRawData feedbackRawData);

    /**
     * 修改反馈的源数据
     *
     * @param feedbackRawData 反馈的源数据
     * @return 结果
     */
    public int updateFeedbackRawData(FeedbackRawData feedbackRawData);

    /**
     * 删除反馈的源数据
     *
     * @param id 反馈的源数据主键
     * @return 结果
     */
    public int deleteFeedbackRawDataById(Long id);

    /**
     * 批量删除反馈的源数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFeedbackRawDataByIds(Long[] ids);
}
